Package: org.codehaus.groovy.classgen.asm

## [Java] Class MethodReferenceExpressionWriter

- org.codehaus.groovy.classgen.asm.MethodReferenceExpressionWriter

-     public class MethodReferenceExpressionWriter
      extends MethodPointerExpressionWriter

  Generates bytecode for method reference expressions.

  Since:
    3.0.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class MethodPointerExpressionWriter` | `controller`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MethodReferenceExpressionWriter(WriterController controller)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `writeMethodReferenceExpression(MethodReferenceExpression expression)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MethodPointerExpressionWriter` | `writeMethodPointerExpression`

- - ### Constructor Detail

    - #### public MethodReferenceExpressionWriter(WriterController controller)

  - ### Method Detail

    - #### public void writeMethodReferenceExpression(MethodReferenceExpression expression)